[arch-commits] Commit in texlive-langcyrillic/repos (4 files)
Rémy Oudompheng
remy at archlinux.org
Mon Nov 19 07:43:55 UTC 2012
Date: Monday, November 19, 2012 @ 02:43:54
Author: remy
Revision: 171578
archrelease: copy trunk to testing-any
Added:
texlive-langcyrillic/repos/testing-any/
texlive-langcyrillic/repos/testing-any/PKGBUILD
(from rev 171577, texlive-langcyrillic/trunk/PKGBUILD)
texlive-langcyrillic/repos/testing-any/texlive-langcyrillic.maps
(from rev 171577, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)
texlive-langcyrillic/repos/testing-any/texlive.install
(from rev 171577, texlive-langcyrillic/trunk/texlive.install)
---------------------------+
PKGBUILD | 48 ++++++++++++++++++++++++++++++++++++++++
texlive-langcyrillic.maps | 1
texlive.install | 52 ++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 101 insertions(+)
Copied: texlive-langcyrillic/repos/testing-any/PKGBUILD (from rev 171577, texlive-langcyrillic/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2012-11-19 07:43:54 UTC (rev 171578)
@@ -0,0 +1,48 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langcyrillic
+pkgver=2012.27642
+_revnr=${pkgver#2012.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Cyrillic texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+md5sums=('99a1737f9fbc3f54f56c10a1b01e62ac'
+ 'f4a321793d9082c991c68870276dda7b')
+
+build() {
+ cd "$srcdir"
+ for p in *.tar.xz; do
+ bsdtar -xf $p
+ done
+ rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+ cd "$srcdir"
+ install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d $pkgdir/usr/share
+ wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+ fi
+ if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+ find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+}
Copied: texlive-langcyrillic/repos/testing-any/texlive-langcyrillic.maps (from rev 171577, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)
===================================================================
--- testing-any/texlive-langcyrillic.maps (rev 0)
+++ testing-any/texlive-langcyrillic.maps 2012-11-19 07:43:54 UTC (rev 171578)
@@ -0,0 +1 @@
+Map cmcyr.map
Copied: texlive-langcyrillic/repos/testing-any/texlive.install (from rev 171577, texlive-langcyrillic/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install (rev 0)
+++ testing-any/texlive.install 2012-11-19 07:43:54 UTC (rev 171578)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-langcyrillic"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
+
+post_upgrade() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+ echo " done."
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do
+ sed -i "/\s$m/d" $UPDMAP ;
+done
+}
+
+post_remove() {
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
More information about the arch-commits
mailing list